Skip to main content
Get Bulk Payment Status Details
curl --request GET \
  --url https://api.yapily.com/bulk-payments/{bulkPaymentId}/details \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'consent: <consent>'
{
  "meta": {
    "tracingId": "27b47dca-fb0f-4448-b470-1cd2d5516d0f"
  },
  "data": {
    "id": "e75d2c85-08e9-4a48-8d14-f789186f2a19",
    "consentId": "5daeb980-5ff5-49db-b7a0-e93dd9c93533",
    "payments": [
      {
        "id": "payment-w1",
        "status": "COMPLETED"
      },
      {
        "id": "payment-w2",
        "status": "FAILED",
        "statusDetails": {
          "code": "B001",
          "reason": "Payment has been rejected"
        }
      },
      {
        "id": "payment-w3",
        "status": "COMPLETED"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.yapily.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.

Headers

Mandatory. The consent token containing the user's authorisation to make the request.

Path Parameters

bulkPaymentId
string
required

Mandatory. Bulk payment id returned when bulk payment request was submitted

Response

OK

meta
object
data
BulkPaymentDetailsData · object